<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.00
| Author: kgb3000
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

include INFUSIONS."video_infusions/infusion_db.php";

if (file_exists(INFUSIONS."video_infusions/locale/".$settings['locale'].".php")) {
	include INFUSIONS."video_infusions/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."video_infusions/locale/Russian.php";
}

// Infusion general information
$inf_title = $locale['xxx_title'];
$inf_description = $locale['xxx_desc'];
$inf_version = "2.7";
$inf_developer = "kgb3000";
$inf_email = "kgb3000@mail.ru";
$inf_weburl = "http://kgb3000.com";

$inf_folder = "video_infusions"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_INFUSION_TABLE." (
  video_cat_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  video_cat_idc SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  video_cat_name VARCHAR(100) NOT NULL DEFAULT '',
  video_cat_description TEXT NOT NULL,
  video_cat_sorting VARCHAR(50) NOT NULL DEFAULT '',
  video_cat_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY(video_cat_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_INFUSION_TABLE2." (
video_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  video_user SMALLINT(5) NOT NULL DEFAULT '0',
  video_title VARCHAR(100) NOT NULL DEFAULT '',
  video_description TEXT NOT NULL,
  video_url VARCHAR(200) NOT NULL default '',
  video_image VARCHAR(100) NOT NULL default '',
  video_cat SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  video_timesize VARCHAR(50) NOT NULL default '',
  video_filesize VARCHAR(20) NOT NULL default '',
  video_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
  video_count SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0', 
  video_comments TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  video_ratings TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  video_access TINYINT(3) UNSIGNED NOT NULL DEFAULT '0',
  video_type SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0',
  INDEX fusion_videos_FKIndex1(video_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_INFUSION_TABLE." (video_cat_id, video_cat_idc, video_cat_name, video_cat_description, video_cat_sorting, video_cat_access) VALUES('', '', '', '', 'video_id ASC', '0')";
$inf_droptable[1] = DB_INFUSION_TABLE;
$inf_altertable[1] = DB_INFUSION_TABLE." ADD etc";
$inf_deldbrow[1] = "other_table";

$inf_insertdbrow[2] = DB_INFUSION_TABLE2." (video_id, video_user, video_title, video_description, video_url, video_image, video_cat, video_timesize, video_filesize, video_datestamp, video_count, video_comments, video_ratings, video_access, video_type) VALUES('', '', ' ', '', 'yw_p2aLK-aY', '', '1', '', '', '', '', '1', '1', '0', '1')";
$inf_droptable[2] = DB_INFUSION_TABLE2;
$inf_altertable[2] = DB_INFUSION_TABLE2." ADD etc";
$inf_deldbrow[2] = "other_table";

$inf_adminpanel[1] = array(
	"title" => $locale['xxx_admin1'],
	"image" => "image.gif",
	"panel" => "video_admin.php",
	"rights" => "XXX"
);

$inf_sitelink[1] = array(
	"title" => $locale['xxx_link1'],
	"url" => "videos.php",
	"visibility" => "0"
);
	
$inf_sitelink[2] = array(
	"title" => $locale['xxx_link2'],
	"url" => "video_admin.php$aidlink",
	"visibility" => "101"
);

?>